# List Path Audience Segments

Get a list of path audience segments. Segments can be queried and sorted by fields:
- `id`
,
- `name`
,
- `version`
,
- `parent_audience_segment_id`
,
- `full_path`
,
- `uniques`
,
- `retail_cpm`
 (type = double, value in usd),
- `code`
,
- `buyable`
,
- `child_count`
,
- `wholesale_cpm`
 (type = double, value in usd),
- `type`
,
- `taxonomy_id`
,
- `updated_on`
,
- `created_on`
,
- `audience_vendor_id`
,
- `audience_vendor_name`
,
- `audience_vendor_vendor_id`
,
- `audience_vendor_mma_free_cm`
,
- `audience_vendor_updated_on`
,
- `audience_vendor_created_on`
,
- `audience_vendor_version`
,
- `audience_vendor_provides_batch_segments`
,
- `audience_vendor_campaign_brain_enabled`
,
- `audience_vendor_pin_top_search`
,
- `audience_vendor_bidder_code`
,
- `audience_vendor_namespace_code`
.

Endpoint: GET /path_audience_segments
Version: 3.0.1807
Security: Auth0

## Security:

  - `Auth0` (unknown)
    oauth2 scopes: offline_access, manage:services

## Query parameters:

  - `page_limit` (integer)
    Number of elements in the collection to retrieve

  - `page_offset` (integer)
    Index of the first element in the collection to retrieve

  - `sort_by` (string)
    The field to sort by. You can use any field name in ascending or descending order.
For ascending order, use the field name directly, e.g., `id`.
For descending order, prefix the field name with a hyphen (`-`), e.g., `-id`.

  - `q` (string, required)
    Query search for filtering. This parameter can be used to filter results based on various fields.
Supported operators:
- `==`
 - numeric equality or case-sensitive string identity,
- `==(1,2,3)`
 - IN query (only works for integers),
- `!=`
 - numeric inequality or case-sensitive string non-identity,
- `=:`
 - case-insensitive match, allows substring using * wildcards,
- `!:`
 - case-insensitive non-match ("does not contain"), allows substring using * wildcards; rows where the field is NULL are excluded,
- `<`
 - less than,
- `<=`
 - less than or equal to,
- `>`
 - greater than,
- `>=`
 - greater than or equal to.

Examples:
- `q=name=:{search}*`
 to find all results with names starting with {search}.
- Numeric
`q=id=:*123*`
 searches are treated as exact primary-key matches, equivalent to
`q=id==123`
; likewise
`q=id!:*123*`
 is equivalent to
`q=id!=123`
.
- `q=name!:*promo*`
 to exclude all results whose name contains "promo".
- `q=status==true`
 to find all active entities.
- `q=id>=1000`
 to find all entities with id greater than or equal to 1000.
- `q=id==(1,2,3)`
 to find specific entities by ID.
- `q=created_on>1999-02-02`
 or
`q=created_on>1999-02-02T00:00:00Z`
 to find entities created later than date.
- `q=id>5%26status==true`
 to find all active entities with id greater than 5.

  - `currency_code` (string)
    If not provided, the default currency (USD) will be used.

  - `advertiser_id` (integer)
    Advertiser ID for taxonomy lookup

  - `only_brain_enabled` (boolean)
    If true, only segments with audience_vendor.campaign_brain_enabled = true will be returned

  - `parent_id` (integer)
    Parent audience segment ID

  - `with` (string)
    If provided, additional entity information will be returned

## Response 200:

  - `200` (unknown)
    Path audience segments collection response

## Response 200 fields (application/json):

  - `data` (array)

  - `data.id` (integer)

  - `data.name` (string)

  - `data.version` (integer)

  - `data.parent_audience_segment_id` (integer)

  - `data.full_path` (string)

  - `data.uniques` (integer)

  - `data.retail_cpm` (array)

  - `data.retail_cpm.currency_code` (string)
    Example: USD

  - `data.retail_cpm.value` (number)

  - `data.audience_vendor_id` (integer)

  - `data.code` (string)

  - `data.buyable` (boolean)

  - `data.child_count` (integer)

  - `data.wholesale_cpm` (array)

  - `data.type` (string)

  - `data.taxonomy_id` (integer)

  - `data.created_on` (string)

  - `data.updated_on` (string)

  - `data.audience_vendor` (object)
    available with parameter `with=audience_vendor`

  - `data.audience_vendor.id` (integer)

  - `data.audience_vendor.name` (string)

  - `data.audience_vendor.version` (integer)

  - `data.audience_vendor.vendor_id` (integer)

  - `data.audience_vendor.mma_free_cm` (boolean)

  - `data.audience_vendor.created_on` (string)

  - `data.audience_vendor.updated_on` (string)

  - `data.audience_vendor.provides_batch_segments` (boolean)

  - `data.audience_vendor.campaign_brain_enabled` (boolean)

  - `data.audience_vendor.pin_top_search` (boolean)

  - `data.audience_vendor.bidder_code` (string)

  - `data.audience_vendor.namespace_code` (string)

  - `meta` (object)

  - `meta.status` (string, required)
    The status of the response, indicating success or failure.
    Example: success

  - `meta.count` (integer, required)
    The number of items returned in the current response.
    Example: 10

  - `meta.total_count` (integer)
    The total number of items available in the dataset.
    Example: 100

  - `meta.offset` (integer)
    The offset from the start of the dataset, used for pagination.
    Example: 0

  - `meta.next_page` (string)
    The URL to fetch the next page of results.

  - `meta.prev_page` (string)
    The URL to fetch the previous page of results.

## Response 400:

  - `400` (unknown)
    Error response

## Response 400 fields (application/json):

  - `errors` (array, required)

  - `errors.code` (string)

  - `errors.sub_code` (string)
    Optional identifier that refines the generic `code` category (e.g. `html5-noscript-tag`). Present on HTML5 upload/preview validation errors; absent otherwise.

  - `errors.field` (string)
    Optional when it is a schema error

  - `errors.message` (string)

  - `meta` (object, required)

  - `meta.status` (string, required)

## Response 401:

  - `401` (unknown)
    Error response

## Response 401 fields (application/json):

  - `errors` (array, required)

  - `errors.code` (string)

  - `errors.sub_code` (string)
    Optional identifier that refines the generic `code` category (e.g. `html5-noscript-tag`). Present on HTML5 upload/preview validation errors; absent otherwise.

  - `errors.field` (string)
    Optional when it is a schema error

  - `errors.message` (string)

  - `meta` (object, required)

  - `meta.status` (string, required)

## Response 403:

  - `403` (unknown)
    Error response

## Response 403 fields (application/json):

  - `errors` (array, required)

  - `errors.code` (string)

  - `errors.sub_code` (string)
    Optional identifier that refines the generic `code` category (e.g. `html5-noscript-tag`). Present on HTML5 upload/preview validation errors; absent otherwise.

  - `errors.field` (string)
    Optional when it is a schema error

  - `errors.message` (string)

  - `meta` (object, required)

  - `meta.status` (string, required)

## Response 404:

  - `404` (unknown)
    Error response

## Response 404 fields (application/json):

  - `errors` (array, required)

  - `errors.code` (string)

  - `errors.sub_code` (string)
    Optional identifier that refines the generic `code` category (e.g. `html5-noscript-tag`). Present on HTML5 upload/preview validation errors; absent otherwise.

  - `errors.field` (string)
    Optional when it is a schema error

  - `errors.message` (string)

  - `meta` (object, required)

  - `meta.status` (string, required)

